/**
  @Generated Pin Manager Header File

  @Company:
    Microchip Technology Inc.

  @File Name:
    pin_manager.h

  @Summary:
    This is the Pin Manager file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs

  @Description
    This header file provides APIs for driver for .
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs - 1.81.6
        Device            :  PIC16F18326
        Driver Version    :  2.11
    The generated drivers are tested against the following:
        Compiler          :  XC8 2.30 and above
        MPLAB 	          :  MPLAB X 5.40	
*/

/*
    (c) 2018 Microchip Technology Inc. and its subsidiaries. 
    
    Subject to your compliance with these terms, you may use Microchip software and any 
    derivatives exclusively with Microchip products. It is your responsibility to comply with third party 
    license terms applicable to your use of third party software (including open source software) that 
    may accompany Microchip software.
    
    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER 
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY 
    IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS 
    FOR A PARTICULAR PURPOSE.
    
    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP 
    HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO 
    THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL 
    CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT 
    OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS 
    SOFTWARE.
*/

#ifndef PIN_MANAGER_H
#define PIN_MANAGER_H

/**
  Section: Included Files
*/

#include <xc.h>

#define INPUT   1
#define OUTPUT  0

#define HIGH    1
#define LOW     0

#define ANALOG      1
#define DIGITAL     0

#define PULL_UP_ENABLED      1
#define PULL_UP_DISABLED     0

// get/set BIN2 aliases
#define BIN2_TRIS                 TRISAbits.TRISA2
#define BIN2_LAT                  LATAbits.LATA2
#define BIN2_PORT                 PORTAbits.RA2
#define BIN2_WPU                  WPUAbits.WPUA2
#define BIN2_OD                   ODCONAbits.ODCA2
#define BIN2_ANS                  ANSELAbits.ANSA2
#define BIN2_SetHigh()            do { LATAbits.LATA2 = 1; } while(0)
#define BIN2_SetLow()             do { LATAbits.LATA2 = 0; } while(0)
#define BIN2_Toggle()             do { LATAbits.LATA2 = ~LATAbits.LATA2; } while(0)
#define BIN2_GetValue()           PORTAbits.RA2
#define BIN2_SetDigitalInput()    do { TRISAbits.TRISA2 = 1; } while(0)
#define BIN2_SetDigitalOutput()   do { TRISAbits.TRISA2 = 0; } while(0)
#define BIN2_SetPullup()          do { WPUAbits.WPUA2 = 1; } while(0)
#define BIN2_ResetPullup()        do { WPUAbits.WPUA2 = 0; } while(0)
#define BIN2_SetPushPull()        do { ODCONAbits.ODCA2 = 0; } while(0)
#define BIN2_SetOpenDrain()       do { ODCONAbits.ODCA2 = 1; } while(0)
#define BIN2_SetAnalogMode()      do { ANSELAbits.ANSA2 = 1; } while(0)
#define BIN2_SetDigitalMode()     do { ANSELAbits.ANSA2 = 0; } while(0)

// get/set IRin aliases
#define IRin_TRIS                 TRISAbits.TRISA4
#define IRin_LAT                  LATAbits.LATA4
#define IRin_PORT                 PORTAbits.RA4
#define IRin_WPU                  WPUAbits.WPUA4
#define IRin_OD                   ODCONAbits.ODCA4
#define IRin_ANS                  ANSELAbits.ANSA4
#define IRin_SetHigh()            do { LATAbits.LATA4 = 1; } while(0)
#define IRin_SetLow()             do { LATAbits.LATA4 = 0; } while(0)
#define IRin_Toggle()             do { LATAbits.LATA4 = ~LATAbits.LATA4; } while(0)
#define IRin_GetValue()           PORTAbits.RA4
#define IRin_SetDigitalInput()    do { TRISAbits.TRISA4 = 1; } while(0)
#define IRin_SetDigitalOutput()   do { TRISAbits.TRISA4 = 0; } while(0)
#define IRin_SetPullup()          do { WPUAbits.WPUA4 = 1; } while(0)
#define IRin_ResetPullup()        do { WPUAbits.WPUA4 = 0; } while(0)
#define IRin_SetPushPull()        do { ODCONAbits.ODCA4 = 0; } while(0)
#define IRin_SetOpenDrain()       do { ODCONAbits.ODCA4 = 1; } while(0)
#define IRin_SetAnalogMode()      do { ANSELAbits.ANSA4 = 1; } while(0)
#define IRin_SetDigitalMode()     do { ANSELAbits.ANSA4 = 0; } while(0)

// get/set RA5 procedures
#define RA5_SetHigh()            do { LATAbits.LATA5 = 1; } while(0)
#define RA5_SetLow()             do { LATAbits.LATA5 = 0; } while(0)
#define RA5_Toggle()             do { LATAbits.LATA5 = ~LATAbits.LATA5; } while(0)
#define RA5_GetValue()              PORTAbits.RA5
#define RA5_SetDigitalInput()    do { TRISAbits.TRISA5 = 1; } while(0)
#define RA5_SetDigitalOutput()   do { TRISAbits.TRISA5 = 0; } while(0)
#define RA5_SetPullup()             do { WPUAbits.WPUA5 = 1; } while(0)
#define RA5_ResetPullup()           do { WPUAbits.WPUA5 = 0; } while(0)
#define RA5_SetAnalogMode()         do { ANSELAbits.ANSA5 = 1; } while(0)
#define RA5_SetDigitalMode()        do { ANSELAbits.ANSA5 = 0; } while(0)

// get/set BIN1 aliases
#define BIN1_TRIS                 TRISCbits.TRISC0
#define BIN1_LAT                  LATCbits.LATC0
#define BIN1_PORT                 PORTCbits.RC0
#define BIN1_WPU                  WPUCbits.WPUC0
#define BIN1_OD                   ODCONCbits.ODCC0
#define BIN1_ANS                  ANSELCbits.ANSC0
#define BIN1_SetHigh()            do { LATCbits.LATC0 = 1; } while(0)
#define BIN1_SetLow()             do { LATCbits.LATC0 = 0; } while(0)
#define BIN1_Toggle()             do { LATCbits.LATC0 = ~LATCbits.LATC0; } while(0)
#define BIN1_GetValue()           PORTCbits.RC0
#define BIN1_SetDigitalInput()    do { TRISCbits.TRISC0 = 1; } while(0)
#define BIN1_SetDigitalOutput()   do { TRISCbits.TRISC0 = 0; } while(0)
#define BIN1_SetPullup()          do { WPUCbits.WPUC0 = 1; } while(0)
#define BIN1_ResetPullup()        do { WPUCbits.WPUC0 = 0; } while(0)
#define BIN1_SetPushPull()        do { ODCONCbits.ODCC0 = 0; } while(0)
#define BIN1_SetOpenDrain()       do { ODCONCbits.ODCC0 = 1; } while(0)
#define BIN1_SetAnalogMode()      do { ANSELCbits.ANSC0 = 1; } while(0)
#define BIN1_SetDigitalMode()     do { ANSELCbits.ANSC0 = 0; } while(0)

// get/set AIN2 aliases
#define AIN2_TRIS                 TRISCbits.TRISC1
#define AIN2_LAT                  LATCbits.LATC1
#define AIN2_PORT                 PORTCbits.RC1
#define AIN2_WPU                  WPUCbits.WPUC1
#define AIN2_OD                   ODCONCbits.ODCC1
#define AIN2_ANS                  ANSELCbits.ANSC1
#define AIN2_SetHigh()            do { LATCbits.LATC1 = 1; } while(0)
#define AIN2_SetLow()             do { LATCbits.LATC1 = 0; } while(0)
#define AIN2_Toggle()             do { LATCbits.LATC1 = ~LATCbits.LATC1; } while(0)
#define AIN2_GetValue()           PORTCbits.RC1
#define AIN2_SetDigitalInput()    do { TRISCbits.TRISC1 = 1; } while(0)
#define AIN2_SetDigitalOutput()   do { TRISCbits.TRISC1 = 0; } while(0)
#define AIN2_SetPullup()          do { WPUCbits.WPUC1 = 1; } while(0)
#define AIN2_ResetPullup()        do { WPUCbits.WPUC1 = 0; } while(0)
#define AIN2_SetPushPull()        do { ODCONCbits.ODCC1 = 0; } while(0)
#define AIN2_SetOpenDrain()       do { ODCONCbits.ODCC1 = 1; } while(0)
#define AIN2_SetAnalogMode()      do { ANSELCbits.ANSC1 = 1; } while(0)
#define AIN2_SetDigitalMode()     do { ANSELCbits.ANSC1 = 0; } while(0)

// get/set AIN1 aliases
#define AIN1_TRIS                 TRISCbits.TRISC2
#define AIN1_LAT                  LATCbits.LATC2
#define AIN1_PORT                 PORTCbits.RC2
#define AIN1_WPU                  WPUCbits.WPUC2
#define AIN1_OD                   ODCONCbits.ODCC2
#define AIN1_ANS                  ANSELCbits.ANSC2
#define AIN1_SetHigh()            do { LATCbits.LATC2 = 1; } while(0)
#define AIN1_SetLow()             do { LATCbits.LATC2 = 0; } while(0)
#define AIN1_Toggle()             do { LATCbits.LATC2 = ~LATCbits.LATC2; } while(0)
#define AIN1_GetValue()           PORTCbits.RC2
#define AIN1_SetDigitalInput()    do { TRISCbits.TRISC2 = 1; } while(0)
#define AIN1_SetDigitalOutput()   do { TRISCbits.TRISC2 = 0; } while(0)
#define AIN1_SetPullup()          do { WPUCbits.WPUC2 = 1; } while(0)
#define AIN1_ResetPullup()        do { WPUCbits.WPUC2 = 0; } while(0)
#define AIN1_SetPushPull()        do { ODCONCbits.ODCC2 = 0; } while(0)
#define AIN1_SetOpenDrain()       do { ODCONCbits.ODCC2 = 1; } while(0)
#define AIN1_SetAnalogMode()      do { ANSELCbits.ANSC2 = 1; } while(0)
#define AIN1_SetDigitalMode()     do { ANSELCbits.ANSC2 = 0; } while(0)

// get/set RC3 procedures
#define RC3_SetHigh()            do { LATCbits.LATC3 = 1; } while(0)
#define RC3_SetLow()             do { LATCbits.LATC3 = 0; } while(0)
#define RC3_Toggle()             do { LATCbits.LATC3 = ~LATCbits.LATC3; } while(0)
#define RC3_GetValue()              PORTCbits.RC3
#define RC3_SetDigitalInput()    do { TRISCbits.TRISC3 = 1; } while(0)
#define RC3_SetDigitalOutput()   do { TRISCbits.TRISC3 = 0; } while(0)
#define RC3_SetPullup()             do { WPUCbits.WPUC3 = 1; } while(0)
#define RC3_ResetPullup()           do { WPUCbits.WPUC3 = 0; } while(0)
#define RC3_SetAnalogMode()         do { ANSELCbits.ANSC3 = 1; } while(0)
#define RC3_SetDigitalMode()        do { ANSELCbits.ANSC3 = 0; } while(0)

// get/set RC4 procedures
#define RC4_SetHigh()            do { LATCbits.LATC4 = 1; } while(0)
#define RC4_SetLow()             do { LATCbits.LATC4 = 0; } while(0)
#define RC4_Toggle()             do { LATCbits.LATC4 = ~LATCbits.LATC4; } while(0)
#define RC4_GetValue()              PORTCbits.RC4
#define RC4_SetDigitalInput()    do { TRISCbits.TRISC4 = 1; } while(0)
#define RC4_SetDigitalOutput()   do { TRISCbits.TRISC4 = 0; } while(0)
#define RC4_SetPullup()             do { WPUCbits.WPUC4 = 1; } while(0)
#define RC4_ResetPullup()           do { WPUCbits.WPUC4 = 0; } while(0)
#define RC4_SetAnalogMode()         do { ANSELCbits.ANSC4 = 1; } while(0)
#define RC4_SetDigitalMode()        do { ANSELCbits.ANSC4 = 0; } while(0)

// get/set SW1 aliases
#define SW1_TRIS                 TRISCbits.TRISC5
#define SW1_LAT                  LATCbits.LATC5
#define SW1_PORT                 PORTCbits.RC5
#define SW1_WPU                  WPUCbits.WPUC5
#define SW1_OD                   ODCONCbits.ODCC5
#define SW1_ANS                  ANSELCbits.ANSC5
#define SW1_SetHigh()            do { LATCbits.LATC5 = 1; } while(0)
#define SW1_SetLow()             do { LATCbits.LATC5 = 0; } while(0)
#define SW1_Toggle()             do { LATCbits.LATC5 = ~LATCbits.LATC5; } while(0)
#define SW1_GetValue()           PORTCbits.RC5
#define SW1_SetDigitalInput()    do { TRISCbits.TRISC5 = 1; } while(0)
#define SW1_SetDigitalOutput()   do { TRISCbits.TRISC5 = 0; } while(0)
#define SW1_SetPullup()          do { WPUCbits.WPUC5 = 1; } while(0)
#define SW1_ResetPullup()        do { WPUCbits.WPUC5 = 0; } while(0)
#define SW1_SetPushPull()        do { ODCONCbits.ODCC5 = 0; } while(0)
#define SW1_SetOpenDrain()       do { ODCONCbits.ODCC5 = 1; } while(0)
#define SW1_SetAnalogMode()      do { ANSELCbits.ANSC5 = 1; } while(0)
#define SW1_SetDigitalMode()     do { ANSELCbits.ANSC5 = 0; } while(0)

/**
   @Param
    none
   @Returns
    none
   @Description
    GPIO and peripheral I/O initialization
   @Example
    PIN_MANAGER_Initialize();
 */
void PIN_MANAGER_Initialize (void);

/**
 * @Param
    none
 * @Returns
    none
 * @Description
    Interrupt on Change Handling routine
 * @Example
    PIN_MANAGER_IOC();
 */
void PIN_MANAGER_IOC(void);



#endif // PIN_MANAGER_H
/**
 End of File
*/