/**
 * SERIAL
 * 
 * (c)2020 Futoshi Sumikawa.
 * 
 * 
    EUSART
      Mode asynchronous
      Enable EUSART
      Enable Transmit
      Baud Rate: 9600
      Transmission Bits: 8-bit
      Reception Bits: 8-bit
      Data Polarity Non-Inverted
 * 
 * 
 */
#include "serial.h"



uint8_t serialBinToHex(uint8_t data) {
    uint8_t h = data & 0x0f;
    if (h < 10) {
        h = 0x30 | h;
    } else {
        h = 0x41 + h - 10;
    }
    return h;
}

void serialPutHexData(uint8_t data) {
    
    uint8_t h = serialBinToHex(data >> 4);
    EUSART_Write(h);
    uint8_t l = serialBinToHex(data);
    EUSART_Write(l);
}
